<template>
  <div class="account-list-wrap">
    <ob-filters
        @changeHeight="$refs['table'].sizeTable()"
        @update-filters="loadData"
    />
    <list-table
      ref="table"
      :isActiveTab="isActiveTab"
      :columns="columns"
    />
  </div>
</template>

<script>

import ObFilters from './filters';
import ListTable from './table';
import { mapGetters } from 'vuex';

export default {
  name: "AccountList",
  components: {
    ObFilters,
    ListTable
  },
  computed: {
    ...mapGetters({
      VAT: 'account/vat'
    }),
    isActiveTab () {
      if(this.$route.name === 'requests__search-orders'){
        return 'search'
      }
      else{
        return 'assigning'
      }
    },
    columns () {
      return [
        {
          title: '',
          key: 'carrierSearchType',
          slotName: 'status',
          width: '50'
        },
        {
          title: !this.VAT ? 'сумма итого' : 'сумма итого',
          key: 'orderTotalAmount',
          isAlignRight: true,
          slotName: 'price'
        },
        {
          title: 'Маршрут',
          key: 'startAddress',
          slotName: 'route',
        },
        {
          title: '',
          key: 'signalStatus',
          slotName: 'signal'
        },
        {
          title: 'Тип ТС',
          key: 'serviceTitle',
          slotName: 'requirements',
        },
        {
          title: 'ТЕМП. РЕЖИМ',
          key: 'temperatureMode',
          width: '50',
          slotName: 'temp',
        },
        {
          title: 'Тип груза',
          key: 'cargoTypeName',
          slotName: 'type',
        },
        {
          title: 'Дата погрузки',
          key: 'pvpDate',
          slotName: 'dateFrom',
        },
        {
          title: 'Грузовладелец',
          key: 'cargoOwnerTitle',
          slotName: 'owner',
          width: '50'
        },
        {
          title: 'Актуально',
          key: 'secondsBeforeExpiration',
          slotName: 'time'
        }
      ]
    }
  },
  methods: {
    loadData () {
      this.$refs?.table?.loadData()
    }
  }
}
</script>

<style lang="scss" scoped>
.account-list-wrap {
  overflow: hidden;
  height: 100%;
}
</style>